> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Group Connections

> Get connection information for a group



## OpenAPI

````yaml GET /api/v1/groups/{group_id}/group_connections
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups/{group_id}/group_connections:
    get:
      tags:
        - Group Connections
      summary: List Group Connections by Group
      description: Returns a list of all group connections for a given group ID.
      operationId: getGroupConnectionRequestListByGroup
      parameters:
        - description: The unique identifier of the associated group in Noyo
          in: path
          name: group_id
          required: true
          schema:
            example: 2ce3b54a-2535-4803-b218-e6b44081d418
            format: uuid
            type: string
        - description: The max size of each page of results
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            The integer offset at which to start the page. Possible values are 0
            to total_records - 1
          in: query
          name: offset
          required: false
          schema:
            type: integer
        - description: The attribute on which to sort the group connections
          in: query
          name: sort_by
          required: false
          schema:
            type: string
        - description: Either asc or desc, to denote the data's direction
          in: query
          name: sort_direction
          required: false
          schema:
            type: string
        - description: >-
            Status of group connection for which you would like to filter.
            Multiple statuses can be used, separated by a comma.
          in: query
          name: status
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                meta:
                  offset: 0
                  page_num: 1
                  page_size: 20
                  total_records: 1
                response:
                  - carrier_id: 8fac0992-933a-4743-8dab-0d606ef2569e
                    completed: 1557392400
                    created: 1557329939
                    group_data:
                      carrier_group_id: '10000000'
                      group_name: Test Company
                    id: dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1
                    modified: 1557392400
                    organization_id: d61fa455-adf4-4dc4-8c57-6d779ba9475e
                    request_type: initial
                    status: processing
                    version: 9906b5d2-e76d-4bad-ba4c-8ce90b6b867b
              schema:
                $ref: '#/components/schemas/PaginatedGroupSetupRequestPublicResult'
          description: Successful Response - Returns all matching Group Connection Requests
components:
  schemas:
    PaginatedGroupSetupRequestPublicResult:
      properties:
        meta:
          allOf:
            - $ref: '#/components/schemas/Meta'
          description: Metadata associated with the response data
        response:
          description: List of group connection results
          items:
            $ref: '#/components/schemas/GroupSetupRequestPublicResult'
          type: array
      required:
        - meta
        - response
      type: object
      x-field_order:
        - meta
        - response
    Meta:
      properties:
        offset:
          description: The offset of the first response record within the matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
        page_num:
          description: >-
            The page number of the response records within the overall data set
            (1-based integer)
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        page_size:
          description: The maximum number of response records on each page of results
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        total_records:
          description: The total number of records in the entire matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
      required:
        - offset
        - page_num
        - page_size
      type: object
    GroupSetupRequestPublicResult:
      properties:
        carrier_id:
          description: Unique identifier of the carrier in Noyo
          format: uuid
          readOnly: true
          type: string
        completed:
          description: >-
            Timestamp indicating when a group connection was marked as
            completed.
          readOnly: true
          type: integer
        created:
          description: The date the record was created
          type: integer
        federal_ein:
          description: Federal Employer Identification Number for the group
          readOnly: true
          type: string
        group_data:
          allOf:
            - $ref: '#/components/schemas/GroupSetupRequestPublicGroupDataResult'
          description: Carrier-specific data to execute a group connection
        group_id:
          description: ID of associated group model
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the group connection in Noyo
          format: uuid
          readOnly: true
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        organization_id:
          description: Unique identifier of the platform or broker organization in Noyo
          format: uuid
          readOnly: true
          type: string
        request_type:
          description: Type of the group connection
          readOnly: true
          type: string
        setup_result:
          description: More information about the result of the group connection
          readOnly: true
          type: object
        status:
          description: Status of the group connection
          enum:
            - created
            - processing
            - noyo_review
            - waiting_on_carrier
            - carrier_authorization
            - action_required
            - unable_to_connect
            - completed
          readOnly: true
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - carrier_id
        - created
        - group_data
        - id
        - modified
        - organization_id
        - request_type
        - setup_metadata
        - setup_result
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - completed
        - organization_id
        - group_id
        - carrier_id
        - request_type
        - status
        - group_data
        - setup_result
        - federal_ein
    GroupSetupRequestPublicGroupDataResult:
      properties:
        broker_federal_ein:
          description: Broker federal EIN, used in Principal groups
          readOnly: true
          type: string
        broker_tin:
          description: Broker TIN, used in Anthem groups
          readOnly: true
          type: string
        carrier_group_id:
          description: Unique identifier for the group in the carrier system
          readOnly: true
          type: string
        employer_email_address:
          description: Email address of the group's employer
          readOnly: true
          type: string
        group_name:
          description: Name for the group in the Noyo system
          readOnly: true
          type: string
      required:
        - carrier_group_id
        - group_name
      type: object

````